| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::ximgproc::RidgeDetectionFilter Class Referenceabstract
Extended Image Processing » Filters

Applies Ridge Detection Filter to an input image. Implements Ridge detection similar to the one in Mathematica using the eigen values from the Hessian Matrix of the input image using Sobel Derivatives. Additional refinement can be done using Skeletonization and Binarization. Adapted from [61] and [158]. More...

`#include <opencv2/ximgproc/ridgefilter.hpp>`

Inheritance diagram for cv::ximgproc::RidgeDetectionFilter:

## Public Member Functions
virtual void | getRidgeFilteredImage (InputArray _img, OutputArray out)=0
| Apply Ridge detection filter on input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< RidgeDetectionFilter > | create (int ddepth=CV_32FC1, int dx=1, int dy=1, int ksize=3, int out_dtype=CV_8UC1, double scale=1, double delta=0, int borderType=BORDER_DEFAULT)
| Create pointer to the Ridge detection filter. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Applies Ridge Detection Filter to an input image. Implements Ridge detection similar to the one in Mathematica using the eigen values from the Hessian Matrix of the input image using Sobel Derivatives. Additional refinement can be done using Skeletonization and Binarization. Adapted from [61] and [158].

## Member Function Documentation

## ◆ create()

static Ptr<RidgeDetectionFilter> cv::ximgproc::RidgeDetectionFilter::create | ( | int | ddepth = `CV_32FC1`,
|  | int | dx = `1`,
|  | int | dy = `1`,
|  | int | ksize = `3`,
|  | int | out_dtype = `CV_8UC1`,
|  | double | scale = `1`,
|  | double | delta = `0`,
|  | int | borderType = `BORDER_DEFAULT`
| ) |  |
| static

Python:
| retval | = | cv.ximgproc.RidgeDetectionFilter_create( | [, ddepth[, dx[, dy[, ksize[, out_dtype[, scale[, delta[, borderType]]]]]]]] | )

Create pointer to the Ridge detection filter.

Parameters

  ddepth | Specifies output image depth. Defualt is CV_32FC1
  dx | Order of derivative x, default is 1
  dy | Order of derivative y, default is 1
  ksize | Sobel kernel size , default is 3
  out_dtype | Converted format for output, default is CV_8UC1
  scale | Optional scale value for derivative values, default is 1
  delta | Optional bias added to output, default is 0
  borderType | Pixel extrapolation method, default is BORDER_DEFAULT

See also
  Sobel, threshold, getStructuringElement, morphologyEx.( for additional refinement)

## ◆ getRidgeFilteredImage()

virtual void cv::ximgproc::RidgeDetectionFilter::getRidgeFilteredImage | ( | InputArray | _img,
|  | OutputArray | out
| ) |  |
| pure virtual

Python:
| out | = | cv.ximgproc_RidgeDetectionFilter.getRidgeFilteredImage( | _img[, out] | )

Apply Ridge detection filter on input image.

Parameters

  _img | InputArray as supported by Sobel. img can be 1-Channel or 3-Channels.
  out | OutputAray of structure as RidgeDetectionFilter::ddepth. Output image with ridges.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/ridgefilter.hpp